function get_system_cpu_lshw {
        GZIP=$(which gzip 2>/dev/null)
        BASE64=$(which base64 2>/dev/null)
        if [ -n "${LSHW}" -a -n "${GZIP}" -a -n "${BASE64}" ] ; then
                SYSTEM_CPU_LSHW=$(${LSHW} -C cpu -json | ${GZIP} -cf | ${BASE64})
        fi
        debug "SYSTEM-CPU-LSHW: ${SYSTEM_CPU_LSHW}"
        echo "${SYSTEM_CPU_LSHW}"
}

function get_system_mem_lshw {
        GZIP=$(which gzip 2>/dev/null)
        BASE64=$(which base64 2>/dev/null)
        if [ -n "${LSHW}" -a -n "${GZIP}" -a -n "${BASE64}" ] ; then
                SYSTEM_MEM_LSHW=$(${LSHW} -C memory -json | ${GZIP} -cf | ${BASE64})
        fi
        debug "SYSTEM-MEM-LSHW: ${SYSTEM_MEM_LSHW}"
        echo "${SYSTEM_MEM_LSHW}"
}
